CodeIgniter Forums

Full Version: Getting start with CI 2.x OR 3.x
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I'm php programmer and using pure php for few years. I'm not professional php programmer. Few years ago i started to learn php by myself.

I had experience in Wordpress developing/customisation and 4 years working as php developer in companies.

I spend my time couple of month to looking for a framework to learn such as ( zend, laraval, CI, Django(python), flask(python) ) . last times mean 4 months ago i was learning CI and i done the tutorial (NEWS). I'm tired to searching for all web frameworks and my decision is learning CI.

Now when i check the CI website i saw CI has new version which is 3.x .

Which version is the best choice to start for me.
Hi ardavan and welcome to the community.

You should go with the 3.x version, because there are many improvements and the release will come very close ;o) I use the 3.x since a year in production. So there is no reason to start a new project with 2.x ;o)
Only some docs and merging the feature branch holding back 3.0 release, go for CI3
Rufnex is correct, go with 3.0 now.

The only reason to use version 2.x is if you are supporting existing code written to that version.

The word on 3.0 is "real soon now".  Which is not today but certainly very close.

I've been using 3.0 since it was Alpha release.  It is now late Beta release and I find no problems.
CI 3 is quite stable. I am currently using it to develop a couple of apps.
Thanks guys. then i will start with CI 3.x . I hope don't has any bug or serious problem because I'm new Smile
(01-24-2015, 07:50 PM)ardavan Wrote: [ -> ]Thanks guys. then i will start with CI 3.x . I hope don't has any bug or serious problem because I'm new Smile

There are no big problems ...like the rest of the community told you version 3.x is stable and for new applications there is no need to start with 2.x